# The Chamilo LMS database structure today

You can access a full schema of Chamilo 1.9, 1.10 and 1.11 databases here : <https://github.com/chamilo/chamilo-lms/wiki/Database-structure>

![](https://github.com/chamilo/chamilo-lms/blob/1.11.x/tests/history/1.11.0/chamilo-1.11-db.png) High-level view of the Chamilo LMS 1.11 database structure

In the schema, green represents key users-data, blue represents key courses-data and yellow represents key sessions-data. All tables linked to the orange table (the `c_item_property` table) are ressources that reside inside of a course (forum, documents, assignments, exercises, etc).

We use the « Dia » free software to build those, so if you want to use it and make adjustements, feel free to download the editable model at <https://github.com/chamilo/chamilo-lms/blob/1.11.x/tests/history/1.11.0/chamilo-1.11-db.dia>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/1.11.x/developer-guide/the_chamilo_files_and_database_structure/the_chamilo_lms_database_structure_today.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
